\name{evolBoosting-package}
\alias{evolBoosting-package}
\alias{evolBoosting}
\docType{package}
\title{
	Boosting in Evolutionary Analysis
}

\description{
	This package implement boosting algorithm(Buehmann and Hothorn 2007) in evolutionary analysis(Lin et al. 2011). 
	Summary statistics will be computed to represent populatoin DNA samples. Some neutral 
	and selected samples can be used for training a predicotr, which can then be used to 
	predict new samples are wether selected or neutral.
}

\author{
	Kao Lin, Zongfeng Yang and Haipeng Li
}

\references{
	K. Lin, H. Li, C. Schloetterer and A. Futschik(2011) Distinguishing 
	positive selection from neutral evolution: boosting the performance of summary statistics.
	Genetics 187: 229-244.

	P. Buehmann and T. Hothorn(2007) Boosting algorithms: regularization, prediction, and 
	model fitting. Stat. Sci. 22: 477-505.
}

\examples{
# data
ms <- system.file("extdata/ms.out", package="evolBoosting")
msms <- system.file("extdata/msms.out", package="evolBoosting")
msms_for_test <- system.file("extdata/msms_for_test.out", package="evolBoosting")
fasta <- system.file("extdata/test.fasta", package="evolBoosting")

# training
train1 <- statComputing(ms, 0.2, 0.2, y = 0)
train2 <- statComputing(msms, 0.2, 0.2, y = 1)
train <- rbind(train1, train2)
predictor <- training(train)

# predicting
test1 <- statComputing(msms_for_test, 0.2, 0.2)
test2 <- statComputing(fasta, 0.2, 0.2)

result1 <- predicting(predictor, test1)
result2 <- predicting(predictor, test2)

# show results
result1
result2
}

